## korganizer 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,11 @@
   set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.3.2")
-set(RELEASE_SERVICE_VERSION "24.12.2")
+set(PIM_VERSION "6.3.3")
+set(RELEASE_SERVICE_VERSION "24.12.3")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.02.03") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
@@ -55,25 +55,25 @@
 
 
 
-set(AKONADI_CONTACT_VERSION "6.3.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.3.2")
-set(CALENDARUTILS_LIB_VERSION "6.3.2")
-set(AKONADICALENDAR_LIB_VERSION "6.3.2")
-set(KONTACTINTERFACE_LIB_VERSION "6.3.2")
-set(KMIME_LIB_VERSION "6.3.2")
-set(AKONADI_VERSION "6.3.2")
+set(AKONADI_CONTACT_VERSION "6.3.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
+set(CALENDARUTILS_LIB_VERSION "6.3.3")
+set(AKONADICALENDAR_LIB_VERSION "6.3.3")
+set(KONTACTINTERFACE_LIB_VERSION "6.3.3")
+set(KMIME_LIB_VERSION "6.3.3")
+set(AKONADI_VERSION "6.3.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Test UiTools)
 
-set(PIMCOMMON_LIB_VERSION "6.3.2")
-set(LIBKDEPIM_LIB_VERSION "6.3.2")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.3.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.3.2")
-set(EVENTVIEW_LIB_VERSION "6.3.2")
+set(PIMCOMMON_LIB_VERSION "6.3.3")
+set(LIBKDEPIM_LIB_VERSION "6.3.3")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.3.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.3.3")
+set(EVENTVIEW_LIB_VERSION "6.3.3")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
